<?php
/**
 * This was contained in an addon until version 1.0.0 when it was rolled into
 * core.
 *
 * @package    WBOLT
 * @author     WBOLT
 * @since      1.1.0
 * @license    GPL-2.0+
 * @copyright  Copyright (c) 2019, WBOLT
 */

class Clear_HTML_Tags_Admin
{
    public static $name = 'cht_pack';
    public static $optionName = 'cht_option';


    public function __construct(){

        if(is_admin()){
            //插件设置连接
            //add_filter( 'plugin_action_links', array(__CLASS__,'actionLinks'), 10, 2 );

            //add_action( 'admin_menu', array(__CLASS__,'admin_menu') );

            add_action( 'admin_init', array(__CLASS__,'admin_init') );

            add_filter('plugin_row_meta', array(__CLASS__, 'plugin_row_meta'), 10, 2);

	        add_action('admin_head-post.php',array(__CLASS__,'admin_head'));
	        add_action('admin_head-post-new.php',array(__CLASS__,'admin_head'));

	        add_action('media_buttons', array($this, 'add_media_button'), 20);


        }
    }

	public static function admin_head(){

		wp_enqueue_style('wb-cht-admin-style',plugin_dir_url(CLEAR_HTML_TAGS_BASE_FILE).'assets/wbp_admin.css', array(), CLEAR_HTML_TAGS_VERSION);
		wp_enqueue_script('wb-cht-admin-js',plugin_dir_url(CLEAR_HTML_TAGS_BASE_FILE).'assets/wbp_admin.js', array('jquery'), CLEAR_HTML_TAGS_VERSION);
	}

	function add_media_button(){
    	$html = '<button id="wb-cls-tag-btn" type="button" class="button wb-wbsm-btn"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="15"><g fill="#999" fill-rule="evenodd"><path d="M12.7 10.7626462l-1.4-1.39999998 2.3-2.3-2.3-2.3 1.4-1.4 3 3c.4.4.4 1 0 1.4l-3 2.99999998zM3.3 10.7626462l-3-2.99999998c-.4-.4-.4-1 0-1.4l3-3 1.4 1.4-2.3 2.3 2.3 2.3-1.4 1.39999998zM6 14.0626462c-.1 0-.2 0-.3-.1-.5-.2-.8-.7-.6-1.3L9.1.66264622c.2-.5.7-.8 1.3-.6.5.2.8.7.6 1.3L7 13.3626462c-.2.4-.6.7-1 .7"/></g></svg><span>清除代码</span></button>';
		$html .= '<a class="wb-chtbtn-setting" id="J_wbCHTsettingBtn"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"><path fill="#999" fill-rule="evenodd" d="M8 11c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.3 3-3 3m5.3-5.8l1.1-2.1L13 1.7l-2.1 1.1c-.3-.2-.7-.3-1.1-.4L9 0H7l-.8 2.3c-.3.1-.7.2-1 .4L3.1 1.6 1.6 3.1l1.1 2.1c-.2.3-.3.7-.4 1L0 7v2l2.3.8c.1.4.3.7.4 1.1L1.6 13 3 14.4l2.1-1.1c.3.2.7.3 1.1.4L7 16h2l.8-2.3c.4-.1.7-.3 1.1-.4l2.1 1.1 1.4-1.4-1.1-2.1c.2-.3.3-.7.4-1.1L16 9V7l-2.3-.8c-.1-.3-.2-.7-.4-1"/></svg></a>';
		echo $html;

		include CLEAR_HTML_TAGS_PATH.'/tpl/_setting.php';
	}


    public static function plugin_row_meta($links,$file){

        $base = plugin_basename(CLEAR_HTML_TAGS_BASE_FILE);
        if($file == $base) {
            $links[] = '<a href="https://www.wbolt.com/plugins/cht">插件主页</a>';
        }
        return $links;
    }

    public static function admin_init(){
        register_setting(  self::$optionName,self::$optionName );
    }

}